import BedIcon from "@scandic-hotels/design-system/Icons/BedIcon"
import CoinIcon from "@scandic-hotels/design-system/Icons/CoinIcon"
import CroissantCoffeeEggIcon from "@scandic-hotels/design-system/Icons/CroissantCoffeeEggIcon"
import CutleryOneIcon from "@scandic-hotels/design-system/Icons/CutleryOneIcon"
import CutleryTwoIcon from "@scandic-hotels/design-system/Icons/CutleryTwoIcon"
import GiftOpenIcon from "@scandic-hotels/design-system/Icons/GiftOpenIcon"
import HandKeyIcon from "@scandic-hotels/design-system/Icons/HandKeyIcon"
import HotelNightIcon from "@scandic-hotels/design-system/Icons/HotelNightIcon"
import KidsIcon from "@scandic-hotels/design-system/Icons/KidsIcon"
import KidsMocktailIcon from "@scandic-hotels/design-system/Icons/KidsMocktailIcon"
import MagicWandIcon from "@scandic-hotels/design-system/Icons/MagicWandIcon"
import MoneyHandIcon from "@scandic-hotels/design-system/Icons/MoneyHandIcon"
import VoucherIcon from "@scandic-hotels/design-system/Icons/VoucherIcon"

import { IconName } from "./iconName"

export function IllustrationByIconName(iconName: IconName | null) {
  switch (iconName) {
    case IconName.Kids:
      return KidsIcon
    case IconName.KidsMocktail:
      return KidsMocktailIcon
    case IconName.MagicWand:
      return MagicWandIcon
    case IconName.MoneyHand:
      return MoneyHandIcon
    case IconName.HandKey:
      return HandKeyIcon
    case IconName.HotelNight:
      return HotelNightIcon
    case IconName.GiftOpen:
      return GiftOpenIcon
    case IconName.CutleryOne:
      return CutleryOneIcon
    case IconName.CutleryTwo:
      return CutleryTwoIcon
    case IconName.CroissantCoffeeEgg:
      return CroissantCoffeeEggIcon
    case IconName.Coin:
      return CoinIcon
    case IconName.Bed:
      return BedIcon
    case IconName.Voucher:
      return VoucherIcon
    default:
      return null
  }
}
